Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.view.swt
Interface ECPSWTViewRenderer

All Known Implementing Classes:
  ECPSWTViewRendererImpl

    public interface ECPSWTViewRenderer

Renders a view which displays the attributes of an domain objects.

Author:
  Jonas

Field Summary
`static ECPSWTViewRenderer` | `INSTANCE` Provides access to the stateless renderer.

Method Summary
`ECPSWTView` | `render(org.eclipse.swt.widgets.Composite parent, org.eclipse.emf.ecore.EObject domainObject)` Creates a view with the attributes of the domain object.
`ECPSWTView` | `render(org.eclipse.swt.widgets.Composite parent, org.eclipse.emf.ecore.EObject domainObject, Map<String,Object> context)` Creates a view with the attributes of the domain object.
`ECPSWTView` | `render(org.eclipse.swt.widgets.Composite parent, org.eclipse.emf.ecore.EObject domainObject, VView viewModel)` Creates a view with the attributes of the domain object.
`ECPSWTView` | `render(org.eclipse.swt.widgets.Composite parent, ViewModelContext viewModelContext)` Creates a view with the attributes of the domain object.

Field Detail

### INSTANCE

    static final ECPSWTViewRenderer INSTANCE

  Provides access to the stateless renderer.

Method Detail

### render

    ECPSWTView render(org.eclipse.swt.widgets.Composite parent,
                      org.eclipse.emf.ecore.EObject domainObject)
                      throws ECPRendererException

  Creates a view with the attributes of the domain object. The layout of the view can either be describes by a registered view model, or, if none view model is registered for the domainObject, will be the default layout.

  Parameters:
    `parent` - the parent SWT composite to render the view on
    `domainObject` - The domainObject to show in the view
  Returns:
    an ECPSWTView providing an interface to the rendered view
  Throws:
    `ECPRendererException` - if there is an exception during rendering

### render

    ECPSWTView render(org.eclipse.swt.widgets.Composite parent,
                      org.eclipse.emf.ecore.EObject domainObject,
                      VView viewModel)
                      throws ECPRendererException

  Creates a view with the attributes of the domain object. The layout of the view is specified by the given view model.

  Parameters:
    `parent` - the parent SWT composite to render the view on
    `domainObject` - The domainObject to show in the view
    `viewModel` - the view model describing the layout of the view
  Returns:
    an ECPSWTView providing an interface to the rendered view
  Throws:
    `ECPRendererException` - if there is an exception during rendering
  Since:
    1.2

### render

    ECPSWTView render(org.eclipse.swt.widgets.Composite parent,
                      ViewModelContext viewModelContext)
                      throws ECPRendererException

  Creates a view with the attributes of the domain object. The layout of the view is specified by the view model set in the view model context.

  Parameters:
    `parent` - the parent SWT composite to render the view on
    `viewModelContext` - the `ViewModelContext` to use
  Returns:
    an ECPSWTView providing an interface to the rendered view
  Throws:
    `ECPRendererException` - if there is an exception during rendering
  Since:
    1.2

### render

    ECPSWTView render(org.eclipse.swt.widgets.Composite parent,
                      org.eclipse.emf.ecore.EObject domainObject,
                      Map<String,Object> context)
                      throws ECPRendererException

  Creates a view with the attributes of the domain object. The layout of the view can either be describes by a registered view model, or, if none view model is registered for the domainObject, will be the default layout.

  Parameters:
    `parent` - the parent SWT composite to render the view on
    `domainObject` - The domainObject to show in the view
    `context` - a key-value-map from String to Object
  Returns:
    an ECPSWTView providing an interface to the rendered view
  Throws:
    `ECPRendererException` - if there is an exception during rendering
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.